{
  if( strncmp(gSystem->HostName(),"ccjlc",5)  != 0 ) {
    if( strncmp(gSystem->Getenv("OSTYPE"),"hpux",4) == 0 ) {
      gSystem->Load("libCDCUtils.sl");
      gSystem->Load("libCDCRawData.sl");
      gSystem->Load("libCDCClusterMaker.sl");
      gSystem->Load("libCDCHitMaker.sl");
      gSystem->Load("libCDCTrackMaker.sl");
      gSystem->Load("libBabyDisplay.sl");
    } else {
      gSystem->Load("libCDCUtils.so");
      gSystem->Load("libCDCRawData.so");
      gSystem->Load("libCDCClusterMaker.so");
      gSystem->Load("libCDCHitMaker.so");
      gSystem->Load("libCDCTrackMaker.so");
      gSystem->Load("libBabyDisplay.so");
    }
  }
  
  JSFSteer *jsf = new JSFSteer();

  TFile *foutp = new TFile("jsf.root","RECREATE"); //  Output file.
  TFile &fout  = *foutp;

  Int_t run = jsf->Env()->GetValue("JSFSteer.RunNo",778);  
  Char_t fname[64];
  // sprintf(fname,"../../analysis/prod/run%4.4d.root",run);
  sprintf(fname,"/proj/cdc/data/baby/2000/beam/unpacked/run%4.4d.root",run);
  TFile file(fname); // Input file

  jsf->SetInput(file);
  jsf->SetOutput(fout);
 
  CDCFADCCalibration fadccalib("../../../data/fadccalib.dat");
  CDCClusterMaker *clust = new CDCClusterMaker(&fadccalib);
#if 0
  clust->UseVarPed();
#else
  clust->UseConstPed();
#endif
  CDCCluster::SetSoftThresh(16.);
  CDCCluster::SetSplitThresh(20.);

  CDCTimeToXRelation xtcalib("../../../data/xtcalib.dat");
  CDCXTDatum::SetSigmaMS(0.010);

  CDCHitMaker   *hit   = new CDCHitMaker(&xtcalib);

  CDCTrackMaker *track = new CDCTrackMaker();

  jsf->Initialize();

  CDCTrackBuf *tkb = (CDCTrackBuf *)track->EventBuf();
  tkb->SetNsigCut(3.);		// window for residals
  tkb->SetChi2Cut(15.);		// chi2 cut for tracks
  tkb->SetKCNsigCut(3.);	// window for hit point poisoing
  tkb->SetDXpivotCut(0.05);	// DX to be qualified as a pivot

  CDCHitBuf *htb = (CDCHitBuf *)hit->EventBuf();
  htb->SetWidthCut(12.);
  htb->SetPeakCut(30.);
  htb->SetSumCut(200.);

  CDCRawData *raw=(CDCRawData*)jsf->FindModule("CDCRawData");

  jsf->BeginRun(run);   // Set run number

  BabyDisplay  *display = new BabyDisplay();
  UserAnalysis *useranl = new UserAnalysis(display);
  display->Initialize();
}

  
