//
// Read raw data of beam test and converted it to the root file.
// 

TFile *file;

int unpack(Int_t run = 0)
{
  gROOT->Reset();

  if( strncmp(gSystem->HostName(),"ccjlc",5)  != 0 ) {
    if( strncmp(gSystem->Getenv("OSTYPE"),"hpux",4) ==0 ) {
      gSystem->Load("../../../lib/libCDCUtils.sl");
      gSystem->Load("../../../lib/libCDCRawData.sl");
    }
    else {
      gSystem->Load("../../../lib/libCDCUtils.so");
      gSystem->Load("../../../lib/libCDCRawData.so");
    }
  }
  JSFSteer   *jsf    = new JSFSteer();
  
  if (!run) run = jsf->Env()->GetValue("JSFSteer.RunNo",36);  
  Char_t fname[64];
  sprintf(fname,"run%4.4d.root",run);
  file = new TFile(fname,"RECREATE");  // Output file
  jsf->SetIOFiles();

  CDCRawData *raw    = new CDCRawData();

  Int_t maxevt=jsf->Env()->GetValue("JSFSteer.Nevent",1000);  
  jsf->Initialize();

// Run loop
  jsf->BeginRun(run);     
  for(Int_t ev=1;ev<=maxevt;ev++){
    if( ! jsf->Process(ev) ) break;
    jsf->FillTree();
    jsf->Clear();
  }
  jsf->Terminate();
  file->Write();
}
