#ifndef __DYNARRAY3__
#define __DYNARRAY3__
//*************************************************************************
//* ================
//*  DynArray3 Class
//* ================
//*
//* (Description)
//*    DynArray3 class supplies a functionality of a 3-dim array
//*    which has a variable size in each dimension.
//* (Requires)
//* 	TObjArray:
//* (Provides)
//* 	class DynArray3
//* (Update Recored)
//*    2000/05/17  K.Fujii	Original very primitive version.
//*
//*************************************************************************
//
#include "Dim.h"
//_____________________________________________________________________
//  -------------------------
//  3-dim Dynamic Array Class
//  -------------------------
//
class DynArray3 : public Dim {
public:
   DynArray3() {}
   virtual ~DynArray3() { Delete(); }

   virtual TObject *  operator ()(Int_t i, Int_t j, Int_t k) const;
   // Very strange:
   // 	Rcint does not allow operator() on the LFS.
   //
   virtual TObject *& Set(Int_t i, Int_t j, Int_t k);
   
   ClassDef(DynArray3,1)	// 3-dim dynamic array.
};

#endif


